<template>
  <div class="header">
    <a href="/">
      <img id="logo" src="ressources/anastasis.png" alt="" />
    </a>
    <h1>{{ title }}</h1>

    <div id="machine" v-if="isMachine">
      <img src="ressources/machine.jpg" alt="nrfljrfhmnsj" />
    </div>

    <nav>
      <ul>
        <li>
          <router-link to="/projet">Notre projet</router-link>
        </li>
        <li>
          <router-link to="/machine">La Machine</router-link>
        </li>
        <li>
          <router-link to="/equipe">L'équipe</router-link>
        </li>
        <li>
          <a href="https://github.com/e-lucidum" target="_blank">Github</a>
        </li>
        <li>
          <router-link to="/contact">Contact</router-link>
        </li>
      </ul>
    </nav>
  </div>
</template>

<script>
export default {
  name: "Header",
  props: {
    title: String,
    isMachine: {
      type: Boolean,
      default: false,
    },
  },
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
</style>
